Breeze
Endpoints

Get Strategy Info

GET
/strategy-info/{strategy_id}

Returns the strategy name, supported base-asset mint addresses, weighted APY, and APY per asset. APY values are percentage points (for example, 5.66 means 5.66%).

x-api-key<token>

In: header

Path Parameters

strategy_id*string

Strategy identifier

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/strategy-info/string"
{  "apy": 5.66,  "apy_per_asset": {    "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v": 5.66  },  "assets": [    "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"  ],  "strategy_id": "43620ba3-354c-456b-aa3c-5bf7fa46a6d4",  "strategy_name": "Breeze Multi-Asset"}
{  "message": "Missing credentials"}
{  "message": "API key invalid or doesn't exist"}
{  "message": "Internal server error"}